/*
** vote = mi(lvote);
**
** vote = n x p-1 matrix of logit of votes from n districts and p parties
** lvote = n x p matrix of exp(party[.,i]/(sumc(exp(lvote)))
*/
proc mnli(lvote);
  local vote;
  vote = (exp(lvote)~ones(rows(lvote),1))./(1+sumc(exp(lvote)'));
  retp(vote);
endp;
