/*
    dta = loada(file,vars);
**
**  file = string with ascii file name
**  vars = number of variables in file
**
**  dta = dataset in memory
*/
proc loada(file,vars);
    local d,n;
    loadm d[]=^file;
    n=rows(d)/vars;
    if n/=int(n);
        "Wrong number of vars, or not the same number in each obs";end;
    endif;
    d=reshape(d,n,vars);
    retp(d);endp;
